> For the complete documentation index, see [llms.txt](https://docs.garryhost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.garryhost.com/darkrp/entitees.md).

# Entitées

Le customCheck définit une fonction qui définie si un joueur peut acheter ou non (ou pour un job, le devenir ou non).

Le fonctionnement est le même que les jobs donateurs. Voici quelques exemples:

### Mettre une imprimante d'argent pour les donateurs uniquement.

```lua
DarkRP.createEntity("Imprimante d'argent", {
	ent = "money_printer",
	model = "models/props_c17/consolebox01a.mdl",
	price = 1000,
	max = 2,
	cmd = "buymoneyprinter",
	customCheck = function(ply) return ply:IsUserGroup("Donateur") end
})
```

L'imprimante d'argent est disponible uniquement pour le groupe "Donateur".

### Mettre une AK47 pour les VIP uniquement.

```lua
DarkRP.createShipment("AK47", {
	model = "models/weapons/w_rif_ak47.mdl",
	entity = "weapon_ak472",
	price = 2450,
	amount = 10,
	separate = false,
	pricesep = nil,
	noship = false,
	allowed = {TEAM_GUN},
	customCheck = function(ply) return ply:IsUserGroup("VIP") end
})
```

L'imprimante d'argent est disponible uniquement pour le groupe "VIP".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.garryhost.com/darkrp/entitees.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
